# Class DataBounds

java.lang.Object
uk.ac.starlink.ttools.plot.DataBounds

public class DataBounds extends Object
Encapsulates what is known about the ranges along each axis of a data set.

Since:
  2 May 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`DataBounds(Range[] ranges, int npoint, int[] npoints)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getPointCount()`
Returns the number of points in the data set.
`int[]`
`getPointCounts()`
Returns an array giving the number of points per subset in the data set.
`Range[]`
`getRanges()`
Returns the array of data ranges, one for each axis.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataBounds

public DataBounds(Range[] ranges, int npoint, int[] npoints)
Constructor.

Parameters:
  `ranges` - array of data ranges, one for each axis
  `npoint` - number of points in the data set
  `npoints` - array of per-subset point counts, one for each set

## Method Details

### getRanges

public Range[] getRanges()
Returns the array of data ranges, one for each axis.

Returns:
  data range array

### getPointCount

public int getPointCount()
Returns the number of points in the data set.

Returns:
  point count

### getPointCounts

public int[] getPointCounts()
Returns an array giving the number of points per subset in the data set.

Returns:
  nset-element array of point counts in each subset